<template>
  <header class="sticky top-0 bg-white shadow-[0_0px_2px_8px_rgba(0,0,0,0.04)] z-30">
    <div class="px-4 sm:px-6 lg:px-8">
      <div class="flex items-center justify-between h-16 -mb-px">

        <!-- Header: Left side -->
        <div class="flex items-center">
          <p class=" font-medium font-inter text-[#64748B] text-[14px] leading-[17px] w-[82px] h-[17px]">Dashboard /</p>

          <!-- Hamburger button -->
          <button class="text-slate-500 hover:text-slate-600 lg:hidden" @click.stop="$emit('toggle-sidebar')" aria-controls="sidebar" :aria-expanded="sidebarOpen">
            <span class="sr-only">Open sidebar</span>
            <svg class="w-6 h-6 fill-current" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <rect x="4" y="5" width="16" height="2" />
              <rect x="4" y="11" width="16" height="2" />
              <rect x="4" y="17" width="16" height="2" />
            </svg>
          </button>

        </div>

        <!-- Header: Right side -->
        <div class="flex items-center justify-end  space-x-3 w-[204px] h-[32px]">
          <UserMenu align="right" />
        </div>

      </div>
    </div>
  </header>
</template>

<script>
import UserMenu from '~/layout/header/DropdownProfile.vue'

export default {
  name: 'Header',
  props: ['sidebarOpen'],
  components: {
    UserMenu,
  },
}
</script>